about summary refs log tree commit diff
path: root/scripts/toggle-redshift.sh
diff options
context:
space:
mode:
authorazahi <azahi@teknik.io>2019-09-04 00:37:09 +0300
committerazahi <azahi@teknik.io>2019-09-04 00:37:09 +0300
commitc12e737a4f3bb78bf6b77c9b2bfd93610be2937f (patch)
tree41ef9ae2238e96c1fc4b12b4a00ec05e4a39e064 /scripts/toggle-redshift.sh
parentReplace alsa-mixer with external shell alternative (diff)
Bump 0.15.4
Diffstat (limited to 'scripts/toggle-redshift.sh')
-rwxr-xr-xscripts/toggle-redshift.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/toggle-redshift.sh b/scripts/toggle-redshift.sh
index 8ba6b60..4dbcc38 100755
--- a/scripts/toggle-redshift.sh
+++ b/scripts/toggle-redshift.sh
@@ -1,9 +1,9 @@
 #!/usr/bin/env bash
 
-if [[ $(pgrep 'redshift') ]]
+if ! pgrep redshift
 then
-    pkill "redshift"
-else
     redshift -c "${XDG_CONFIG_HOME}/redshift.conf" &
     disown redshift
+else
+    pkill redshift
 fi

Consider giving Nix/NixOS a try! <3